unit PantallaInformesGeneral;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, StdCtrls, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras,
  Entidades;

type
  TfrInformesGenerales = class(TRdxFrame)
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    RdxPanel1: TRdxPanel;
    Panel1: TPanel;
    Image1: TImage;
    Panel2: TPanel;
    Panel3: TPanel;
    bSeleccionar: TRdxBoton;
    Panel4: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Panel6: TPanel;
    Panel5: TPanel;
    Panel7: TPanel;
    Image2: TImage;
    Panel8: TPanel;
    Panel9: TPanel;
    RdxBoton1: TRdxBoton;
    Panel10: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Panel11: TPanel;
    Panel17: TPanel;
    Image4: TImage;
    Panel18: TPanel;
    Panel19: TPanel;
    RdxBoton3: TRdxBoton;
    Panel20: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Panel21: TPanel;
    imgSombra: TImage;
    procedure RdxBoton1Click(Sender: TObject);
    procedure RdxBoton3Click(Sender: TObject);
    procedure bSeleccionarClick(Sender: TObject);
  protected
    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frInformesGenerales: TfrInformesGenerales;

implementation

{$R *.dfm}

uses
  Configuracion, ListadoClientes, ListadoProveedores, ComisionesVendedores,
  TablaProveedores, TablaClientes, StrFunc, Mensajes, Literales;

procedure TfrInformesGenerales.RdxBoton1Click(Sender: TObject);
begin
  if not esCadenaVacia(dmTablaProveedores.DarNombreProvMin) then
  begin
    Contenido := TfrListadoProveedores.Create(Self);
    Contenido.Entidad := entInformes;
    Contenido.Modo := Imprimir;
  end
  else
    verMensaje(msgProvNoHayProv);
end;

procedure TfrInformesGenerales.RdxBoton3Click(Sender: TObject);
begin
  if not esCadenaVacia(dmTablaClientes.DarNombreCliMin) then
  begin
    Contenido := TfrListadoClientes.Create(Self);
    Contenido.Entidad := entInformes;
    Contenido.Modo := Imprimir;
  end
  else
    verMensaje(msgCliNoHayCli);
end;

procedure TfrInformesGenerales.bSeleccionarClick(Sender: TObject);
begin
  Contenido := TfrComisionesVendedores.Create(Self);
  Contenido.Modo := Consultar;
end;

constructor TfrInformesGenerales.Create(AOwner: TComponent);
begin
  inherited;
  Entidad := entInformes;
end;

function TfrInformesGenerales.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;

end.
